%{
    This file is part of StemCellQC, a video bioinformatics software
    toolkit for analysis of phase contrast microscopy videos.
    Copyright 2013-2015 Vincent On. [vincenton001-at-gmail.com]

    StemCellQC is free software: you can redistribute it and/or 
    modify it under the terms of the GNU General Public License as 
    published by the Free Software Foundation, either version 3 of the 
    License, or (at your option) any later version.

    StemCellQC is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with StemCellQC.  If not, see <http://www.gnu.org/licenses/>.
%}

Value_Area = get( handles.Area, 'Value' );
Value_Perimeter = get( handles.Perimeter, 'Value' );
Value_Centroid_X = get( handles.Centroid_X, 'Value' );
Value_Centroid_Y = get( handles.Centroid_Y, 'Value' );
Value_Extent = get( handles.Extent, 'Value' );
Value_Solidity = get( handles.Solidity, 'Value' );
Value_Orientation = get( handles.Orientation, 'Value' );
Value_Major_Axis = get( handles.Major_Axis, 'Value' );
Value_Minor_Axis = get( handles.Minor_Axis, 'Value' );
Value_Eccentricity = get( handles.Eccentricity, 'Value' );
Value_Min_Radius = get( handles.Min_Radius, 'Value' );
Value_Max_Radius = get( handles.Max_Radius, 'Value' );
Value_Avg_Radius = get( handles.Avg_Radius, 'Value' );
Value_Avg_Intensity = get( handles.Avg_Intensity, 'Value' );
Value_Max_Intensity = get( handles.Max_Intensity, 'Value' );
Value_Min_Intensity = get( handles.Min_Intensity, 'Value' );
Value_Brightness_Ratio = get( handles.Brightness_Ratio, 'Value' );
Value_Protrusions = get( handles.Protrusions, 'Value' );
Value_Prutruding_Area = get( handles.Prutruding_Area, 'Value' );
Value_C_Area = get( handles.C_Area, 'Value' );
Value_C_Perimeter = get( handles.C_Perimeter, 'Value' );
Value_C_Centroid = get( handles.C_Centroid, 'Value' );
Value_MSD = get( handles.MSD, 'Value' );
Value_Total_Distance = get( handles.Total_Distance, 'Value' );

feats_used = [ Value_Area ...
    Value_Perimeter ...
    Value_Centroid_X ...
    Value_Centroid_Y ...
    Value_Extent ...
    Value_Solidity ...
    Value_Orientation ...
    Value_Major_Axis ...
    Value_Minor_Axis ...
    Value_Eccentricity ...
    Value_Min_Radius ...
    Value_Max_Radius ...
    Value_Avg_Radius ...
    Value_Avg_Intensity ...
    Value_Max_Intensity ...
    Value_Min_Intensity ...
    Value_Brightness_Ratio ...
    Value_Protrusions ...
    Value_Prutruding_Area ...
    Value_C_Area ...
    Value_C_Perimeter ...
    Value_C_Centroid ...
    Value_MSD ...
    Value_Total_Distance];

feats_used = logical( feats_used );